Bug 301307 - Karbon crashes when editing nodes of a path
Summary: Karbon crashes when editing nodes of a path
Status: RESOLVED FIXED
Alias: None
Product: karbon
Classification: Unclassified
Component: usability (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR critical (vote)
Target Milestone: ---
Assignee: Jan Hambrecht
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-06 19:52 UTC by mauricebull
Modified: 2012-06-13 09:51 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mauricebull 2012-06-06 19:52:07 UTC
Karbon Version 2.2.2 crashes when editing nodes of a path. I try to add nodes to that path. Sometimes it works, sometimes it doesn't. But when I try to select nodes to make changes in their behaviour the program crashes. Sometimes at the second or third selection action.

Reproducible: Always

Steps to Reproduce:
1.  drag a smiling face shape into the canvas and  resize it making it bigger
2. ungroup it to obtain the "mouth" individually
3. play around adding nodes, selecting them, changing them from line to curve
Actual Results:  
The program crashes. Once, it closed enexpectedly. But all the other times it freezes.

Expected Results:  
The software should have let me add, select and modify the behaviour of the nodes in a path

Ubuntu Studio 10.10 on a Pentium 4 2.8 with 1Gb RAM on an ASUS P4P800 motherboard. AGP graphics Radeon 9600 PRO.
Comment 1 Jan Hambrecht 2012-06-09 21:53:01 UTC
Git commit 9cbc7b9eaece9f67458348a3cc7a5ee4808b7ba3 by Jan Hambrecht.
Committed on 09/06/2012 at 00:06.
Pushed by jaham into branch 'master'.

fix separating a path into its subpath

do not use the buggy KoPathSeparateCommand, rather create
a macro ommand using alreday existing create and delete commands

M  +26   -3    karbon/ui/KarbonView.cpp

http://commits.kde.org/calligra/9cbc7b9eaece9f67458348a3cc7a5ee4808b7ba3
Comment 2 Yue Liu 2012-06-13 09:51:35 UTC
Git commit ffee7c743e69ed13d5d994725ab8deb4e120186a by Yue Liu, on behalf of Jan Hambrecht.
Committed on 09/06/2012 at 00:06.
Pushed by liu into branch 'connection-interaction-yue'.

fix separating a path into its subpath

do not use the buggy KoPathSeparateCommand, rather create
a macro ommand using alreday existing create and delete commands

M  +26   -3    karbon/ui/KarbonView.cpp

http://commits.kde.org/calligra/ffee7c743e69ed13d5d994725ab8deb4e120186a